# Generated from dyndnsd-3.9.1.gem by gem2rpm -*- rpm-spec -*-
%global gem_name dyndnsd

Name: rubygem-%{gem_name}
Version: 3.9.1
Release: 1%{?dist}
Summary: dyndnsd.rb
License: Apache-2.0
URL: https://github.com/cmur2/dyndnsd
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 3.0
# BuildRequires: rubygem(bundler-audit) >= 0.9.0
# BuildRequires: rubygem(bundler-audit) < 0.10
# BuildRequires: rubygem(rack-test)
# BuildRequires: rubygem(rspec)
# BuildRequires: rubygem(rubocop) >= 1.54.0
# BuildRequires: rubygem(rubocop) < 1.55
# BuildRequires: rubygem(rubocop-rake) >= 0.6.0
# BuildRequires: rubygem(rubocop-rake) < 0.7
# BuildRequires: rubygem(rubocop-rspec) >= 2.22.0
# BuildRequires: rubygem(rubocop-rspec) < 2.23
# BuildRequires: rubygem(solargraph) >= 0.49.0
# BuildRequires: rubygem(solargraph) < 0.50
BuildArch: noarch

%description
A small, lightweight and extensible DynDNS server written with Ruby and Rack.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/exe -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%{_bindir}/dyndnsd
%license %{gem_instdir}/LICENSE
%{gem_instdir}/exe
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/CHANGELOG.md
%doc %{gem_instdir}/README.md

%changelog
* Thu Jul 06 2023 mockbuilder - 3.9.1-1
- Initial package
